;
; 01_led
;
; Created: 2016-10-23
; Author: Wolfgang Neff
; Copyright: (CC) BY-NO-NO
;

    .EQU F_CPU=2000000
    .INCLUDE "board.inc"
	.INCLUDE "utils.inc"

	; Data Segment
	.DSEG

	; Code Segment
	.CSEG

    ; Initialize LED port. We want to use LED 0, 1, 2 and 3.
	ldi r16, LED0_PIN_bm|LED1_PIN_bm|LED2_PIN_bm|LED3_PIN_bm
	sts LED_PORT_DIR, r16
	; Initial state: LED 0 -> on, LED 1 -> off, LED 2 -> off, LED 3 -> on. 
	ldi r16, LED1_PIN_bm|LED2_PIN_bm
	sts LED_PORT_OUT, r16
super_loop:
    ; Switch LED1 and LED 2 on.
	lds r16, LED_PORT_OUT
	andi r16, ~(LED1_PIN_bm|LED2_PIN_bm)
	sts LED_PORT_OUT, R16
    delay_ms 250
    ; Switch LED1 and LED 2 off.
	lds r16, LED_PORT_OUT
	ori r16, LED1_PIN_bm|LED2_PIN_bm
	sts LED_PORT_OUT, r16
    delay_ms 250 
    rjmp super_loop
    