;
; 05_console
;
; Created: 2016-11-01
; Author: Wolfgang Neff
; Copyright: (CC) BY-NO-NO
;

    .EQU F_CPU=2000000
    .INCLUDE "board.inc"
    .INCLUDE "usart.inc"
	.INCLUDE "utils.inc"

	; Data Segment
	.DSEG

msg1:
    .BYTE 8

	; Code Segment
	.CSEG

	; Initialize stack
	ldi r16, low(INTERNAL_SRAM_END)
	sts CPU_SPL, r16
	ldi r16, high(INTERNAL_SRAM_END)
	sts CPU_SPH, r16

    ldi ZL, low(msg1)
    ldi ZH, high(msg1)
	ldi r16, ' '
	st z+, r16
	ldi r16, 'H'
	st z+, r16
	ldi r16, 'e'
	st z+, r16
	ldi r16, 'l'
	st z+, r16
	ldi r16, 'l'
	st z+, r16
	ldi r16, 'o'
	st z+, r16
	ldi r16, ' '
	st z+, r16
	ldi r16, '\0'
	st z+, r16

    clr r28
    clr r29

	usart_init

superloop:
    adiw r28, 1
	movw r0, r28
	usart_putn
    usart_puts msg1
    usart_puts_p msg2
	delay_ms 1000
    rjmp superloop

msg2:
	.DB "World!",'\n','\0'

;***************************************************************************
;* SUBROUTINES *************************************************************
;***************************************************************************

    .INCLUDE "convert.inc"

