;
; 02_button
;
; Created: 2016-10-24
; Author: Wolfgang Neff
; Copyright: (CC) BY-NO-NO
;

    .EQU F_CPU=2000000
    .INCLUDE "board.inc"

	; Data Segment
	.DSEG

	; Code Segment
	.CSEG

	; Initialize LED
	ldi r16, LED0_PIN_bm
	sts LED_PORT_DIR, r16
	; Initialize push-buttons
	ldi r16, PORT_OPC_PULLUP_gc
	sts BUTTON0_PINCTRL, r16
	sts BUTTON1_PINCTRL, r16
super_loop:
    ; Button 0 pressed?
	lds r0, BUTTON_LOW_PORT_IN
	lds r16, LED_PORT_OUT
	sbrs r0,BUTTON0_PIN_bp
	ori r16, LED0_PIN_bm ; Switch LED on
	sts LED_PORT_OUT, r16

    ; Button 1 pressed?
	lds r0, BUTTON_LOW_PORT_IN
	lds r16, LED_PORT_OUT
	sbrs r0,BUTTON1_PIN_bp
	andi r16, ~LED0_PIN_bm ; Switch LED off
	sts LED_PORT_OUT, r16
    rjmp super_loop
    